# Ogre::NedAllocPolicy Class Reference
[Memory]

An allocation policy for use with AllocatedObject and STLAllocator. More...

`#include <OgreMemoryNedAlloc.h>`

List of all members.

## Static Public Member Functions

static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.

## Private Member Functions

| NedAllocPolicy ()

## Detailed Description

An allocation policy for use with AllocatedObject and STLAllocator.

This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated.

  This allocation policy uses nedmalloc (http://nedprod.com/programs/portable/nedmalloc/index.html).

Definition at line 64 of file OgreMemoryNedAlloc.h.

## Constructor & Destructor Documentation

Ogre::NedAllocPolicy::NedAllocPolicy | ( |  | ) | `[private]`

Definition at line 83 of file OgreMemoryNedAlloc.h.

## Member Function Documentation

static void* Ogre::NedAllocPolicy::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0` |
| ) |  |  | `[static]`

Definition at line 67 of file OgreMemoryNedAlloc.h.

References Ogre::NedAllocImpl::allocBytes().

static void Ogre::NedAllocPolicy::deallocateBytes | ( | void * | ptr | ) | `[static]`

Definition at line 72 of file OgreMemoryNedAlloc.h.

References Ogre::NedAllocImpl::deallocBytes().

static size_t Ogre::NedAllocPolicy::getMaxAllocationSize | ( |  | ) | `[static]`

Get the maximum size of a single allocation.

Definition at line 77 of file OgreMemoryNedAlloc.h.

The documentation for this class was generated from the following file:

- OgreMemoryNedAlloc.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56